## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate tui

Name:           rust-tui
Version:        0.19.0
Release:        %autorelease
Summary:        Library to build rich terminal user interfaces or dashboards

License:        MIT
URL:            https://crates.io/crates/tui
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library to build rich terminal user interfaces or dashboards.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
# unmaintained - replaced by ratatui
Provides:       deprecated()

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossterm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossterm-devel %{_description}

This package contains library source intended for building other packages which
use the "crossterm" feature of the "%{crate}" crate.

%files       -n %{name}+crossterm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termion-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termion-devel %{_description}

This package contains library source intended for building other packages which
use the "termion" feature of the "%{crate}" crate.

%files       -n %{name}+termion-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that don't panic as expected in release mode
# * skip tests that fail due to formatting differences
%cargo_test -- -- --skip panics_on_out_of_bounds --skip src/buffer.rs --skip buffer::tests::buffer_set_string_zero_width

%endif

%changelog
## START: Generated by rpmautospec
* Fri Oct 11 2024 Fabio Valentini <decathorpe@gmail.com> - 0.19.0-5
- Skip tests that fail due to formatting differences

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Feb 23 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.19.0-1
- Update to 0.19.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 13 2022 Fabio Valentini <decathorpe@gmail.com> - 0.17.0-1
- Update to version 0.17.0; Fixes RHBZ#1956100

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 18 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.0-1
- Update to 0.15.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.14.0-1
- Update to 0.14.0

* Tue Dec 01 2020 Fabio Valentini <decathorpe@gmail.com> - 0.13.0-1
- update to version 0.13.0

* Sun Nov 08 2020 Fabio Valentini <decathorpe@gmail.com> - 0.12.0-2
- drop optional features with broken dependencies

* Sun Oct 25 2020 Fabio Valentini <decathorpe@gmail.com> - 0.12.0-1
- update to version 0.12.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 22 2020 Josh Stone <jistone@redhat.com> - 0.9.5-1
- Update to 0.9.5

* Wed May 13 2020 Josh Stone <jistone@redhat.com> - 0.9.4-1
- Update to 0.9.4

* Mon May 11 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.3-1
- Update to 0.9.3

* Sun May 10 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.2-1
- Update to 0.9.2

* Sun May 10 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Thu Mar 19 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.0-6
- Backport more features needed for ytop

* Thu Mar 19 2020 Josh Stone <jistone@redhat.com> - 0.8.0-5
- Bump crossterm to 0.16.

* Wed Mar 18 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.0-4
- Backport features needed for ytop

* Wed Feb 12 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.0-3
- Drop tests

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Fri Dec 13 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-2
- Update tests

* Wed Dec 11 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.0-1
- Initial import (#1772978).
## END: Generated by rpmautospec
